body {
  margin: 0;
}
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 80%;
  margin: 0 auto;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;
  justify-items: center;
}

.card {
  display: flex;
  gap: 20px;
  max-width: 80%;
  background-color: white;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  padding: 1rem;
  border-radius: 0.5rem;
  overflow: hidden;
  transition: transform 0.2s ease-in-out;
  position: relative;
}

.card-image {
  display: flex;
  width: 50px;
  height: auto;
  object-fit: cover;
  border-radius: 10px 0 0 10px;
  align-items: center;
}

.card-content {
  padding: 1rem;
  text-align: left;
}

.card-title {
  margin-right: 0 auto;
  margin: 0;
  font-size: 1.5rem;
}
@media (max-width:600px){
  .card-title{
    font-size: 1rem;
    
  }
}
@media (max-width:600px){
  .card-description{
    font-size: 0.8rem;
  }
}
.card-description {
  margin: 1rem 0;
  overflow: hidden;
  text-overflow: ellipsis;
}

.card-abv {
  font-size: 0.8rem;
  color: #999;
  margin-bottom: 1rem;
}


.pagination-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 2rem;
}
.css-j204z7-MuiFormControlLabel-root .MuiFormControlLabel-label {
  font-size: 0.8rem;
  padding: 0 10px 0 0;
}
@media (max-width:600px){
  .css-j204z7-MuiFormControlLabel-root .MuiFormControlLabel-label {
  font-size: 0.5rem;
  padding: 0 10px 0 0;
  }
}
.switch-label {
  position: absolute;
  top:-20px;
  right: -20px;
  transform: translateY(50%);
}
.punk-api-container {
  margin: 20px;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #f9f9f9;
}

.punk-api-container h1 {
  font-size: 24px;
  margin-bottom: 10px;
}

.punk-api-container p {
  font-size: 16px;
  line-height: 1.5;
}
